Skip to content

What deleting a list would affect

GET
/api/v1/workspaces/{workspace}/lists/{id}/impact
curl --request GET \
--url https://reputecast.example.com/api/v1/workspaces/acme-newsletter/lists/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/impact \
--header 'Authorization: Bearer <token>'

Permission: lists:manage

workspace
required

Workspace slug

string
/^[a-z0-9][a-z0-9-]{1,62}$/

Workspace slug

id
required
string format: uuid

OK

Media typeapplication/json
object
automations
required
Array<object>
object
id
required
string
name
required
string
campaigns
required
Array<object>
object
id
required
string
name
required
string
elsewhere
required
integer format: int64
forms
required
Array<object>
object
id
required
string
name
required
string
id
required
string
members
required
integer format: int64
name
required
string
otherListCount
required
integer format: int64
otherLists
required
Array<string>

Example generated

{
"automations": [
{
"id": "example",
"name": "example"
}
],
"campaigns": [
{
"id": "example",
"name": "example"
}
],
"elsewhere": 1,
"forms": [
{
"id": "example",
"name": "example"
}
],
"id": "example",
"members": 1,
"name": "example",
"otherListCount": 1,
"otherLists": [
"example"
]
}

Error

Media typeapplication/problem+json
object
code

Stable error code, e.g. permission_denied

string
detail

A human-readable explanation specific to this occurrence of the problem.

string
errors

Optional list of individual error details

Array<object>
object
location

Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’

string
message

Error message text

string
value

The value at the given location

helpers

Members who hold the missing permission

Array<string>
instance

A URI reference that identifies the specific occurrence of the problem.

string format: uri
meta
object
key
additional properties
permission

The missing permission key

string
status

HTTP status code

integer format: int64
title

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

string
type

A URI reference to human-readable documentation for the error.

string format: uri
default: about:blank

Example

{
"detail": "Property foo is required but is missing.",
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "about:blank"
}